Name:          wicd
Version:       1.7.0
Release:       %mkrel 1
License:       GPLv2
Group:         System/Configuration/Networking
Source0:       http://dl.sourceforge.net/wicd/%{name}-%{version}.tar.gz
Source1:       %{name}.init
# Install pm-utils scripts in %{libdir}/pm-utils, not in /usr/lib/pm-utils
Patch0:        wicd-libdir.patch
URL:           http://wicd.net/
Summary:       wired and wireless network manager
BuildRequires: python-devel
Requires:      python
Requires:      python-urwid
BuildRoot:     %{tmpdir}/%{name}-%{version}-buildroot

%description
Wicd is an open source wired and wireless network manager for Linux
which aims to provide a simple interface to connect to networks with a
wide variety of settings.

%prep
%setup -q
%patch0 -p1 -b .libdir
python setup.py configure --no-install-kde

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
       --optimize=2 \
       --root=$RPM_BUILD_ROOT

install -D %{SOURCE1} %{buildroot}/%{_initrddir}/%{name}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%postun

%post
%_preun_service network
%_preun_service network-up
%_post_service %{name}

%preun
%_preun_service %{name}
%_post_service network
%_post_service network-up

%files -f %name.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%{_bindir}/*
%{_sysconfdir}/acpi/resume.d/80-wicd-connect.sh
%{_sysconfdir}/acpi/suspend.d/50-wicd-suspend.sh
%{_libdir}/pm-utils/sleep.d/91wicd
%{py_puresitedir}/%{name}/*
%{py_puresitedir}/*.egg-info
%{_datadir}/pixmaps/*
%{_mandir}
%{_datadir}/%{name}
%{_iconsdir}/hicolor
%{_sysconfdir}/dbus-1/system.d/wicd.conf
%{_sysconfdir}/wicd
%{_sysconfdir}/xdg/autostart/wicd-tray.desktop
%attr(755,root,root) %{_sbindir}/wicd
%{_datadir}/applications/wicd.desktop
%{_var}/lib/%{name}
%_logdir/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}


%changelog
* Sun Jan 17 2010 Funda Wang <fwang@mandriva.org> 1.7.0-1mdv2010.1
+ Revision: 492552
- update file list
- new version 1.7.0

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - properly package translation files

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.2.2-1mdv2010.0
+ Revision: 435904
- update to new version 1.6.2.2

* Wed Jul 08 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 1.6.2-2mdv2010.0
+ Revision: 393634
- requires python-urwid for wicd-curses

* Tue Jul 07 2009 Funda Wang <fwang@mandriva.org> 1.6.2-1mdv2010.0
+ Revision: 393236
- new version 1.6.2

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.1-1mdv2010.0
+ Revision: 387600
- Update to new version 1.6.1
- Rediff and rename libdir patch
- Package cannot be noarch because it installs files in
  %%{_libdir}/pm-utils/sleep.d
- Don't install KDE 3 autostart file

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 1.5.9-1mdv2009.1
+ Revision: 349726
- New upstream release

* Sun Jan 11 2009 Jérôme Soyer <saispo@mandriva.org> 1.5.8-1mdv2009.1
+ Revision: 328366
- Change desktopdir macros
- Fix RPM Groups
  Add python to Requires
- import wicd


